org.apache.lucene.search

## Class MultiCollectorManager.Collectors.LeafCollectors

- java.lang.Object
- - org.apache.lucene.search.MultiCollectorManager.Collectors.LeafCollectors

- All Implemented Interfaces:
    LeafCollector
  Enclosing class:
    MultiCollectorManager.Collectors

      public class MultiCollectorManager.Collectors.LeafCollectors
      extends Object
      implements LeafCollector

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `collect(int doc)` Called once for every document matching a query, with the unbased document number.
    `void` | `setScorer(Scorable scorer)` Called before successive calls to `LeafCollector.collect(int)`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.lucene.search.LeafCollector

      `competitiveIterator`

- - ### Method Detail

    - #### setScorer

          public final void setScorer(Scorable scorer)
                               throws IOException

      Description copied from interface: `LeafCollector`
      Called before successive calls to `LeafCollector.collect(int)`. Implementations that need the score of the current document (passed-in to `LeafCollector.collect(int)`), should save the passed-in Scorer and call scorer.score() when needed.
      Specified by:
        `setScorer` in interface `LeafCollector`
      Throws:
        `IOException`

    - #### collect

          public final void collect(int doc)
                             throws IOException

      Description copied from interface: `LeafCollector`
      Called once for every document matching a query, with the unbased document number.

      Note: The collection of the current segment can be terminated by throwing a `CollectionTerminatedException`. In this case, the last docs of the current `LeafReaderContext` will be skipped and `IndexSearcher` will swallow the exception and continue collection with the next leaf.

      Note: This is called in an inner search loop. For good search performance, implementations of this method should not call `IndexSearcher.doc(int)` or `IndexReader.document(int)` on every hit. Doing so can slow searches by an order of magnitude or more.

      Specified by:
        `collect` in interface `LeafCollector`
      Throws:
        `IOException`

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.